| v_sdirxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Overview

## Functions
int | XV_SdiRxSs_SubcoreInitSdiRx (XV_SdiRxSs *SdiRxSsPtr)
| This function initializes the included sub-core to it's static configuration. More...
u32 | XV_SdiRxSs_SelfTest (XV_SdiRxSs *InstancePtr)
| This function performs self test on SDI Rx Subsystem sub-cores. More...
u32 | SdiRxSs_SelfTestExample (u32 DeviceId)
| This function is the main entry point for the self test example using the XV_SdiRxSs driver. More...
int | main ()
| This is the main function for XV_SdiRxSs self test example. More...

## Function Documentation

int main | ( | void |  | ) |

This is the main function for XV_SdiRxSs self test example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the self test example passed.
  - XST_FAILURE if the self test example was unsuccessful.

Note
  None.

References SdiRxSs_SelfTestExample().

u32 SdiRxSs_SelfTestExample | ( | u32 | DeviceId | ) |

This function is the main entry point for the self test example using the XV_SdiRxSs driver.

This function check whether or not its sub-core drivers self test functions are in working state.

Parameters

  DeviceId | is the unique device ID of the SDI RX Subsystem core.

Returns
  - XST_FAILURE if any of SDI RX Subsystem sub-core self test failed.
  - XST_SUCCESS, if all of SDI RX Subsystem sub-core self test passed.

Note
  None.

References XV_SdiRxSs_Config::BaseAddress, XV_SdiRxSs_CfgInitialize(), XV_SdiRxSs_LookupConfig(), and XV_SdiRxSs_SelfTest().

Referenced by main().

u32 XV_SdiRxSs_SelfTest | ( | XV_SdiRxSs * | InstancePtr | ) |

This function performs self test on SDI Rx Subsystem sub-cores.

Parameters

  InstancePtr | is a pointer to the XV_SdiRxSs core instance.

Returns
  - XST_SUCCESS if self test passed.
  - XST_FAILURE if self test failed.

Note
  None.

References XV_SdiRxSs::SdiRxPtr.

Referenced by SdiRxSs_SelfTestExample().

int XV_SdiRxSs_SubcoreInitSdiRx | ( | XV_SdiRxSs * | SdiRxSsPtr | ) |

This function initializes the included sub-core to it's static configuration.

Parameters

  SdiRxSsPtr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS/XST_FAILURE

References XV_SdiRxSs_SubCore::AbsAddr, XV_SdiRxSs_Config::BaseAddress, XV_SdiRxSs::Config, XV_SdiRxSs_SubCore::DeviceId, XV_SdiRxSs_Config::SdiRx, XV_SdiRxSs::SdiRxPtr, XV_SDIRXSS_LOG_EVT_SDIRX_INIT, and XV_SdiRxSs_LogWrite().

Referenced by XV_SdiRxSs_CfgInitialize().